package com.cityguide;

import android.app.Activity;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageButton;




public class Restaurants_international_price extends Activity {  
	
	@Override
	public void onConfigurationChanged(Configuration newConfig) {
	super.onConfigurationChanged(newConfig);
	}
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.restaurants_international_price); 
	

    final ImageButton index = (ImageButton) findViewById(R.id.logodown);
    index.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openIndexActivity();
        }
    });
    
    final ImageButton train = (ImageButton) findViewById(R.id.train);
    train.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openTram_mapActivity();
         }
     });
    
    final ImageButton bus = (ImageButton) findViewById(R.id.bus);
    bus.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openBus_mapActivity();
         }
     });
    
    final Button bellview = (Button) findViewById(R.id.bellview);
    bellview.setOnClickListener(new Button.OnClickListener() {
        public void onClick(View v) {
        	openR_bellviewActivity();
        }
    });
    
    final Button corcovado = (Button) findViewById(R.id.corcovado);
    corcovado.setOnClickListener(new Button.OnClickListener() {
        public void onClick(View v) {
        	openR_corcovadoActivity();
        }
    });
    
    final Button dark = (Button) findViewById(R.id.dark);
    dark.setOnClickListener(new Button.OnClickListener() {
        public void onClick(View v) {
        	openR_darkActivity();
        }
    });
    
    final Button hugo = (Button) findViewById(R.id.hugo);
    hugo.setOnClickListener(new Button.OnClickListener() {
        public void onClick(View v) {
        	openR_hugoActivity();
        }
    });
    
    final Button vin = (Button) findViewById(R.id.vin);
    vin.setOnClickListener(new Button.OnClickListener() {
        public void onClick(View v) {
        	openR_vinActivity();
        }
    });
    
    final Button madagaskar = (Button) findViewById(R.id.madagaskar);
    madagaskar.setOnClickListener(new Button.OnClickListener() {
        public void onClick(View v) {
        	openR_madagaskarActivity();
        }
    });
    
    final Button shivaz = (Button) findViewById(R.id.shivaz);
    shivaz.setOnClickListener(new Button.OnClickListener() {
        public void onClick(View v) {
        	openR_shivazActivity();
        }
    });
  
	}
	
	private void openIndexActivity() {
    	startActivity(new Intent(this,Index.class));
    }
	
	 private void openTram_mapActivity() {
	    	startActivity(new Intent(this,Tram_map.class));
	    }
	    
	    private void openBus_mapActivity() {
	    	startActivity(new Intent(this,Bus_map.class));
	    }

	private void openR_bellviewActivity() {
    	startActivity(new Intent(this,R_bellview.class));
	}
    	
	private void openR_corcovadoActivity() {
        startActivity(new Intent(this,R_corcovado.class));
    }
	
	private void openR_darkActivity() {
    	startActivity(new Intent(this,R_dark.class));
    }

	private void openR_hugoActivity() {
    	startActivity(new Intent(this,R_hugo.class));
    }
	
	private void openR_vinActivity() {
    	startActivity(new Intent(this,R_vin.class));
    }
	
	private void openR_madagaskarActivity() {
    	startActivity(new Intent(this,R_madagaskar.class));
    }
	
	private void openR_shivazActivity() {
    	startActivity(new Intent(this,R_shivaz.class));
    }
}